package cowhello;
/**
 * the main class of the program
 * @author LEEVI
 * @version 13 Apr 2023
 *
 */
public class Cowhello {
    
    /**
     * main entrypoint
     * @param args unused
     //TODO: arguments
     */
    public static void main(String[] args) {
        System.out.println("testataan");
        
        
        ConsoleProcess cp = new ConsoleProcess(System.in,System.out,"Cowhello");
        TestProcess t = new TestProcess(cp);
        t.start();
        cp.lisaaKomento("hello", (o,arg) -> {
                                    for (String a : arg) {
                                        o.printf("%s ",a);
                                    }
                                    o.println("end");
                                },"kaytto: hello <arg>, ...\ntulostaa argumentit");
        
        cp.lisaaKomento("pali", (o,z) -> {
            if (z.length<2) return;
            String sana = z[1];
            boolean flag = true;
            int alku=0,loppu = sana.length()-1;
            while (alku<loppu) {
                if (sana.charAt(alku) != sana.charAt(loppu)) {flag = false;break;} 
                alku++;
                loppu--;
            }
            String palautus = (flag) ? "on" : "ei ole";
            o.printf("Sana %s %s palindromi.%n",sana, palautus);
        },"kaytto: pali <sana>\nkertoo, onko sana palindromi.");
        
        cp.lisaaKomento("ystava",t.annaVaihtoOikeus(),"kaytto: ystava <numero>\nvaihtaa ystavan salaisuuden");
        cp.lisaaKomento("hei",(o,z)->{o.printf("moi %s%n",z[1]);},"tervehtii");
        
        cp.start();
        //cpw.start();
    }
}
